> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events

> ListEvents pulls Events from the ConductorOne system.

 This endpoint should be used to synchronize the
 system log events to external systems.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/systemlog/events
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/systemlog/events:
    post:
      tags:
        - System Log
      summary: List Events
      description: |-
        ListEvents pulls Events from the ConductorOne system.

         This endpoint should be used to synchronize the
         system log events to external systems.
      operationId: c1.api.systemlog.v1.SystemLogService.ListEvents
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.systemlog.v1.SystemLogServiceListEventsRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.systemlog.v1.SystemLogServiceListEventsResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: ListEvents
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SystemLog.ListEvents(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SystemLogServiceListEventsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.systemLog.listEvents();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.systemlog.v1.SystemLogServiceListEventsRequest:
      description: The SystemLogServiceListEventsRequest message.
      properties:
        pageSize:
          description: The pageSize field.
          format: int32
          type:
            - integer
            - 'null'
        pageToken:
          description: The pageToken field.
          type:
            - string
            - 'null'
        since:
          format: date-time
          type:
            - string
            - 'null'
        sinceEventUid:
          description: The sinceEventUid field.
          type:
            - string
            - 'null'
        sortDirection:
          description: The sortDirection field.
          enum:
            - SORT_DIRECTION_UNSPECIFIED
            - SORT_DIRECTION_ASC
            - SORT_DIRECTION_DESC
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        until:
          format: date-time
          type:
            - string
            - 'null'
        untilEventUid:
          description: The untilEventUid field.
          type:
            - string
            - 'null'
      title: System Log Service List Events Request
      type: object
      x-speakeasy-name-override: SystemLogServiceListEventsRequest
    c1.api.systemlog.v1.SystemLogServiceListEventsResponse:
      description: The SystemLogServiceListEventsResponse message.
      properties:
        list:
          description: List contains an array of JSON OCSF events.
          items:
            additionalProperties: true
            type: object
          type:
            - array
            - 'null'
        nextPageToken:
          description: The nextPageToken field.
          type:
            - string
            - 'null'
      title: System Log Service List Events Response
      type: object
      x-speakeasy-name-override: SystemLogServiceListEventsResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````